Subject: Re: [syzbot] [afs?] general protection fault in skb_queue_tail (3)

From: syzbot <[email-masked]>
Date: Sat, 15 Jul 2023 00:22:18 -0700

syzbot suspects this issue was fixed by commit:

commit 061b0cb9327b80d7a0f63a33e7c3e2a91a71f142
Author: Fedor Pchelkin <[email-masked]>
Date:   Wed May 17 15:03:17 2023 +0000

    wifi: ath9k: don't allow to overwrite ENDPOINT0 attributes

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=12253b7ca80000
start commit:   98555239e4c3 Merge tag 'arc-6.1-fixes' of git://git.kernel..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=701f2aae1cb0470e
dashboard link: https://syzkaller.appspot.com/bug?extid=160a7250e255d25725eb
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1482f0b6880000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=119e4dce880000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: wifi: ath9k: don't allow to overwrite ENDPOINT0 attributes

For information about bisection process see: https://goo.gl/tpsmEJ#bisection